Skip navigation links
A C D E F G H I L M N P S T U V W X 

A

add(int, T) - Method in class net.shredzone.jshred.util.SortedList
Adds an element to a certain index of this list.
add(T) - Method in class net.shredzone.jshred.util.SortedList
Adds an element to the SortedList.
addAll(int, Collection<? extends T>) - Method in class net.shredzone.jshred.util.SortedList
Adds all elements of a Collection to the SortedList, starting at a certain index.
addAll(Collection<? extends T>) - Method in class net.shredzone.jshred.util.SortedList
Adds all elements of a Collection to the SortedList.
addDataProvider(String, HTTPRequest.DataProvider) - Method in class net.shredzone.jshred.net.HTTPRequest
Adds a HTTPRequest.DataProvider to the HTTPRequest.
addFile(String, File) - Method in class net.shredzone.jshred.net.HTTPRequest
Adds a File to the HTTPRequest.
addFile(String, File, String) - Method in class net.shredzone.jshred.net.HTTPRequest
Adds a File to the HTTPRequest.
addLine(String) - Method in class net.shredzone.jshred.util.CSVLine
Adds a CSV line to the current content.
addParameter(String, Object) - Method in class net.shredzone.jshred.net.HTTPRequest
Adds a parameter to the HTTPRequest.
addParameter(String, boolean) - Method in class net.shredzone.jshred.net.HTTPRequest
Convenience call to add a boolean parameter to the HTTPRequest.

C

close() - Method in class net.shredzone.jshred.io.UncloseableInputStream
Does not close the InputStream.
close() - Method in class net.shredzone.jshred.io.UncloseableOutputStream
Does not close the OutputStream.
comparator() - Method in class net.shredzone.jshred.util.SortedList
Gets the Comparator used for comparison, or null if natural order is to be used.
contains(Object) - Method in class net.shredzone.jshred.util.SortedList
Checks if a SortedList contains an element.
CSVLine - Class in net.shredzone.jshred.util
This class handles one CSV line.
CSVLine() - Constructor for class net.shredzone.jshred.util.CSVLine
Creates a new, empty CSVLine with ';' as delimiter.
CSVLine(char) - Constructor for class net.shredzone.jshred.util.CSVLine
Creates a new, empty CSVLine with the given delimiter.
CSVLine(String) - Constructor for class net.shredzone.jshred.util.CSVLine
Creates a new CSVLine, with the given text and ';' as default delimiter.
CSVLine(String, char) - Constructor for class net.shredzone.jshred.util.CSVLine
Creates a new CSVLine with the given text and the given delimiter.

D

doRequest() - Method in class net.shredzone.jshred.net.HTTPRequest
Sends the request to the server.

E

endDocument() - Method in class net.shredzone.jshred.io.XMLWriter
Finishes an XML document.
endElement() - Method in class net.shredzone.jshred.io.XMLWriter
Closes the most recent XML element.
escape(String) - Static method in class net.shredzone.jshred.io.XMLWriter
Escapes a String so it can be used in XML context.

F

file - Variable in class net.shredzone.jshred.net.HTTPRequest.FileProvider
 
FileProvider(File) - Constructor for class net.shredzone.jshred.net.HTTPRequest.FileProvider
Creates a new FileProvider with an "application/octet-stream" mime type.
FileProvider(File, String) - Constructor for class net.shredzone.jshred.net.HTTPRequest.FileProvider
Creates a new FileProvider with the given mime type.
flushTag() - Method in class net.shredzone.jshred.io.XMLWriter
Flushes the tag buffer, which is used to write empty containers in their short form.

G

getCharset() - Method in class net.shredzone.jshred.net.HTTPRequest
Gets the charset of the response.
getConnection() - Method in class net.shredzone.jshred.net.HTTPRequest
Returns the HttpURLConnection object after HTTPRequest.doRequest() has been invoked.
getContentReader() - Method in class net.shredzone.jshred.net.HTTPRequest
Returns a Reader to the response body after a HTTPRequest.doRequest().
getDelimiter() - Method in class net.shredzone.jshred.util.CSVLine
Gets the delimiter character.
getFileName() - Method in interface net.shredzone.jshred.net.HTTPRequest.DataProvider
Returns the file name of the file.
getFileName() - Method in class net.shredzone.jshred.net.HTTPRequest.FileProvider
Returns the file name of the file.
getMethod() - Method in class net.shredzone.jshred.net.HTTPRequest
Returns the method this request is sent with.
getMimeType() - Method in interface net.shredzone.jshred.net.HTTPRequest.DataProvider
Returns the MimeType of the file.
getMimeType() - Method in class net.shredzone.jshred.net.HTTPRequest.FileProvider
Returns the MimeType of the file.
getResult() - Method in class net.shredzone.jshred.net.HTTPRequest
Returns the server's response in an InputStream after a HTTPRequest.doRequest().

H

HTTPRequest - Class in net.shredzone.jshred.net
This class sends a HTTP request to a server, and returns an InputStream to the returned data.
HTTPRequest(URL) - Constructor for class net.shredzone.jshred.net.HTTPRequest
Creates a new HTTPRequest using method GET.
HTTPRequest(URL, HTTPRequest.Method) - Constructor for class net.shredzone.jshred.net.HTTPRequest
Creates a new HTTPRequest.
HTTPRequest.DataProvider - Interface in net.shredzone.jshred.net
A DataProvider provides a data stream to be sent by the HTTPRequest.
HTTPRequest.FileProvider - Class in net.shredzone.jshred.net
This HTTPRequest.DataProvider implementation uploads a File to the server.
HTTPRequest.InputStreamProvider - Class in net.shredzone.jshred.net
This HTTPRequest.DataProvider implementation transmits the given InputStream.
HTTPRequest.Method - Enum in net.shredzone.jshred.net
 

I

in - Variable in class net.shredzone.jshred.net.HTTPRequest.InputStreamProvider
 
indexOf(Object) - Method in class net.shredzone.jshred.util.SortedList
Gets the index of an element.
InputStreamProvider(InputStream) - Constructor for class net.shredzone.jshred.net.HTTPRequest.InputStreamProvider
Creates a new InputStreamProvider.
isPost() - Method in class net.shredzone.jshred.net.HTTPRequest
Returns true if this request uses the POST method.

L

lastIndexOf(Object) - Method in class net.shredzone.jshred.util.SortedList
Gets the index of the last occurance of an element.

M

mimetype - Variable in class net.shredzone.jshred.net.HTTPRequest.FileProvider
 

N

net.shredzone.jshred.io - package net.shredzone.jshred.io
 
net.shredzone.jshred.net - package net.shredzone.jshred.net
 
net.shredzone.jshred.util - package net.shredzone.jshred.util
 

P

PhpSerializer - Class in net.shredzone.jshred.io
PhpSerializer is a Writer that is able to write out a Java object so PHP's unserialize() function is able to read the result into a PHP variable.
PhpSerializer(Writer) - Constructor for class net.shredzone.jshred.io.PhpSerializer
Creates a new PhpSerializer.

S

sendFile(OutputStream) - Method in interface net.shredzone.jshred.net.HTTPRequest.DataProvider
Commands this FileProvider to send its data to the given OutputStream.
sendFile(OutputStream) - Method in class net.shredzone.jshred.net.HTTPRequest.InputStreamProvider
Transfers the InputStream to the OutputStream by copying it.
serialize(int) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes an integer.
serialize(long) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a long.
serialize(boolean) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a boolean.
serialize(double) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a double.
serialize(float) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a float.
serialize(char) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a char
serialize(char[]) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a char array
serialize(char[], int, int) - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a section of a char array
serialize(String) - Method in class net.shredzone.jshred.io.PhpSerializer
Serializes a String
serialize(Number) - Method in class net.shredzone.jshred.io.PhpSerializer
Serializes a Number.
serialize(Object[]) - Method in class net.shredzone.jshred.io.PhpSerializer
Serializes an array.
serialize(Collection<?>) - Method in class net.shredzone.jshred.io.PhpSerializer
Serializes a Collection.
serialize(Map<?, ?>) - Method in class net.shredzone.jshred.io.PhpSerializer
Serializes a Map.
serialize(Object) - Method in class net.shredzone.jshred.io.PhpSerializer
Serializes an Object.
serializeNull() - Method in class net.shredzone.jshred.io.PhpSerializer
Writes a mere null pointer.
set(int, T) - Method in class net.shredzone.jshred.util.SortedList
This method is not supported by a SortedList.
setDelimiter(char) - Method in class net.shredzone.jshred.util.CSVLine
Sets the delimiter character.
setEncoding(String) - Method in class net.shredzone.jshred.io.XMLWriter
Sets the encoding used by this writer.
setIndent(String) - Method in class net.shredzone.jshred.io.XMLWriter
Sets the indention string.
setProgressMonitor(ProgressMonitor, String) - Method in class net.shredzone.jshred.net.HTTPRequest
Defines a ProgressMonitor for the transmission process.
setProgressMonitor(ProgressMonitor, String, int, int) - Method in class net.shredzone.jshred.net.HTTPRequest
Defines a ProgressMonitor for the transmission process.
SortedList<T> - Class in net.shredzone.jshred.util
A SortedList is a List which sorts its elements according to a certain order.
SortedList() - Constructor for class net.shredzone.jshred.util.SortedList
Creates an empty SortedList with natural order.
SortedList(Collection<? extends T>) - Constructor for class net.shredzone.jshred.util.SortedList
Creates a new SortedList and initialize it with the given Collection.
SortedList(Comparator<T>) - Constructor for class net.shredzone.jshred.util.SortedList
Creates a SortedList that uses the given Comparator instead of the element's natural order.
startDocument() - Method in class net.shredzone.jshred.io.XMLWriter
Starts an XML document.
startElement(String) - Method in class net.shredzone.jshred.io.XMLWriter
Starts a new XML element.
startElement(String, String...) - Method in class net.shredzone.jshred.io.XMLWriter
Starts a new XML element with attributes.
startElement(String, Map<String, String>) - Method in class net.shredzone.jshred.io.XMLWriter
Starts a new XML element with attributes.
startElement(String, Attributes) - Method in class net.shredzone.jshred.io.XMLWriter
Starts a new XML element with attributes.

T

toString() - Method in class net.shredzone.jshred.util.CSVLine
Gets a valid CSV line of the current content, using the current delimiter char.

U

UncloseableInputStream - Class in net.shredzone.jshred.io
This is a FilterInputStream where the close() method is disabled.
UncloseableInputStream(InputStream) - Constructor for class net.shredzone.jshred.io.UncloseableInputStream
Creates a new UncloseableInputStream.
UncloseableOutputStream - Class in net.shredzone.jshred.io
This is a FilterOutputStream where the close() method is disabled.
UncloseableOutputStream(OutputStream) - Constructor for class net.shredzone.jshred.io.UncloseableOutputStream
Creates a new UncloseableOutputStream.

V

valueOf(String) - Static method in enum net.shredzone.jshred.net.HTTPRequest.Method
Returns the enum constant of this type with the specified name.
values() - Static method in enum net.shredzone.jshred.net.HTTPRequest.Method
Returns an array containing the constants of this enum type, in the order they are declared.

W

writeComment(String) - Method in class net.shredzone.jshred.io.XMLWriter
Writes a comment.
writeContent(String) - Method in class net.shredzone.jshred.io.XMLWriter
Writes the content of an XML container.
writeIndent() - Method in class net.shredzone.jshred.io.XMLWriter
Indents by one level

X

XMLWriter - Class in net.shredzone.jshred.io
A very simple writer for cleanly formatted XML output.
XMLWriter(Writer) - Constructor for class net.shredzone.jshred.io.XMLWriter
Creates a new XMLWriter basing on a Writer.
XMLWriter(OutputStream) - Constructor for class net.shredzone.jshred.io.XMLWriter
Creates a new XMLWriter basing on an OutputStream.
A C D E F G H I L M N P S T U V W X 
Skip navigation links

Copyright © 2004–2016. All rights reserved.